/**************************************************
*	Icon Forum Category
*	Author : Dakin Quelia and papajoke
* 	Example(s) : 
*		'fa-info' : 		{ forum: [1,2,3,4,5,6] }
*		'fa-comments' : 	{ forum: [3] }
*	For icons : http://fontawesome.io/icons/
**************************************************/
var iconForumCats = {
	'fa-info' :      		{ forum: [1,2] },
    'fa-comments' :     	{ forum: [3] },
    'fa-linux' :     		{ forum: [27,42] },
    'fa-asterisk' :     	{ forum: [50] },

	getForum(id_forum) 
	{
		for (var prop in this) 
		{
			if (typeof this[prop] !== 'object') 
			{
				continue;
			}
			
			if (this[prop].forum.indexOf(id_forum) !== -1) 
			{
				return prop;
			}
		}
		
		return "undefined";
	}
};

(function($) {	
	$.each($("a.forum-category"), function() 
	{ 
		var idf = parseInt($(this).attr('id')); 
		var o = iconForumCats.getForum(idf);

		if (o != "undefined")
		{ 
			$(this).append('<i class="icon ' + o + ' fa-fw" aria-hidden="true"></i>');
		}
		else
		{
			$(this).append('<i class="icon fa-info fa-fw" aria-hidden="true"></i>');
		}
	});
}(jQuery));
